Skip to main content
GET
/
cards
/
{cardId}
/
access-events
List card access events
curl --request GET \
  --url https://api.useproxy.ai/v1/cards/{cardId}/access-events \
  --header 'Authorization: Bearer <token>'
{
  "cardId": "<string>",
  "accessEvents": [
    {
      "id": "<string>",
      "cardId": "<string>",
      "status": "granted",
      "intentId": "<string>",
      "purpose": "<string>",
      "expectedAmount": 123,
      "expectedCurrency": "<string>",
      "merchantText": "<string>",
      "reason": "<string>",
      "grantedAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "consumedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Path Parameters

cardId
string
required

Card ID (e.g., card_...)

Query Parameters

limit
integer
default:50

Maximum number of results to return (default: 50)

Required range: 1 <= x <= 100

Response

List of access events

cardId
string
required
accessEvents
object[]
required